com.genesyslab.wfm7.API.service.RTA712

## Interface WFMRTAService712Soap

- All Superinterfaces:
    java.rmi.Remote

      public interface WFMRTAService712Soap
      extends java.rmi.Remote

  The Adherence service is presented through the WFMAdherenceService712Soap interface. Use this service to retrieve agent-adherence data. The main things you can do with the Adherence service are as follows:
  - Retrieve agent-state data.
  - Retrieve all adherence events.
  Adherence events are occasions when an agent's actual state is compared with the scheduled state. Agents are compliant, non-adherent, or severely non-adherent, depending on whether they are out of sync with their scheduled state, and, if so, for how long.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `closeSnapshot(java.lang.String qid)` Close snapshot.
    `java.lang.String` | `createSnapshot(int buID, int[] siteIDsArray, int useAllStateGroups, int[] stateGroupIDs, int useAllGenesysStates, int[] genesysStateIDs, int useAllAdherenceStates, int[] showAdherenceStatus, int useAllReasonCodes, java.lang.String[] reasonCodeArray, ItemSiteIDStruct[] agentIDArray, ItemSiteIDStruct[] teamIDArray, int sortAscending, int sortFieldIndex)` Create snapshot of the adherence data.
    `java.lang.String` | `createSnapshotEx(int buID, int[] siteIDsArray, AgentFilter agentFilter, int sortAscending, int sortFieldIndex)` Create snapshot of the adherence data.
    `AgentsInStateCountStruct[]` | `getAdherenceStatistics(java.lang.String qid)` Returns the adherence statistics for currently filtered agents.
    `AdherenceWithStatsStruct` | `getAdherenceWithStatsInfo(java.lang.String qid, int firstIndex, int count)` Returns the arrays of agents and their states together with as adherence statistics.
    `AllStatesStruct` | `getAllStates(int buID, int[] siteIDsArray)` Returns all possible states and state groups for specified sites.
    `void` | `sortSnapshot(java.lang.String qid, int ascending, int fieldIndex)` Sets sort order of results returned by getAdherenceWithStatsInfo and getAdherenceStatistics function

- - ### Method Detail

    - #### getAllStates

          AllStatesStruct getAllStates(int buID,
                                     int[] siteIDsArray)
                                       throws java.rmi.RemoteException

      Returns all possible states and state groups for specified sites.
      Parameters:
        `buID` - Business Unit ID
        `siteIDsArray` - Array of Site IDs
      Returns:
        `AllStatesStruct` - collection of all possible states and state groups for specified sites.
      Throws:
        `java.rmi.RemoteException`

    - #### createSnapshot

          java.lang.String createSnapshot(int buID,
                                        int[] siteIDsArray,
                                        int useAllStateGroups,
                                        int[] stateGroupIDs,
                                        int useAllGenesysStates,
                                        int[] genesysStateIDs,
                                        int useAllAdherenceStates,
                                        int[] showAdherenceStatus,
                                        int useAllReasonCodes,
                                        java.lang.String[] reasonCodeArray,
                                        ItemSiteIDStruct[] agentIDArray,
                                        ItemSiteIDStruct[] teamIDArray,
                                        int sortAscending,
                                        int sortFieldIndex)
                                          throws java.rmi.RemoteException

      Create snapshot of the adherence data.
      Parameters:
        `buID` - Business Unit ID.
        `siteIDsArray` - Array of Site IDs.
        `useAllStateGroups` - ignore stateGroupIDs parameter and uses all applicapable state groups.
        `stateGroupIDs` - State Groups filter. Specify "null" to ignore filter.
        `useAllGenesysStates` - ignore genesysStateIDs parameter and uses all applicapable Genesys states.
        `genesysStateIDs` - Genesys States filter. Specify "null" to ignore filter.
        `useAllAdherenceStates` - ignore showAdherenceStatus parameter and uses all applicapable adherence states.
        `showAdherenceStatus` - Adherence Status filter. Specify "null" to ignore filter.
        `useAllReasonCodes` - ignore reasonCodeArray parameter and uses all applicapable reason codes.
        `reasonCodeArray` - Reason code filter. Specify "null" to ignore filter.
        `agentIDArray` - Agents filter. Specify "null" to ignore filter.
        `teamIDArray` - Team Filter. Specify "null" to ignore filter.
        `sortAscending` - sort mode. True - ascending, false - descending.
        `sortFieldIndex` - Index of the field by which results should be sorted. If field index is set to -1 then sorting is disabled. Non-negative indexes indicate the field by which results should be sorted.
        Field indexes are following:
        0 - agent ID
        1 - agent's first name
        2 - agent's last name
        3 - agent's time in non-adherence
        4 - agent's non-adherence severity
        5 - agent's team name
        6 - agent's shift start time
        7 - Genesys state name (not ID)
        8 - agent's SiteID field
        9 - agent's Site Name Field
      Returns:
        ID of the newly created snapshot
      Throws:
        `java.rmi.RemoteException`

    - #### createSnapshotEx

          java.lang.String createSnapshotEx(int buID,
                                          int[] siteIDsArray,
                                          AgentFilter agentFilter,
                                          int sortAscending,
                                          int sortFieldIndex)
                                            throws java.rmi.RemoteException

      Create snapshot of the adherence data.
      Parameters:
        `buID` - Business Unit ID.
        `siteIDsArray` - Array of Site IDs.
        `agentFilter` - Agent filter structure that contains filtering options.
        `sortAscending` - sort mode. True - ascending, false - descending.
        `sortFieldIndex` - Index of the field by which results should be sorted. If field index is set to -1 then sorting is disabled. Non-negative indexes indicate the field by which results should be sorted.
        Field indexes are following:
        0 - agent ID
        1 - agent's first name
        2 - agent's last name
        3 - agent's time in non-adherence
        4 - agent's non-adherence severity
        5 - agent's team name
        6 - agent's shift start time
        7 - Genesys state name (not ID)
        8 - agent's SiteID field
        9 - agent's Site Name Field
      Returns:
        ID of the newly created snapshot
      Throws:
        `java.rmi.RemoteException`

    - #### closeSnapshot

          void closeSnapshot(java.lang.String qid)
                             throws java.rmi.RemoteException

      Close snapshot.
      Parameters:
        `qid` - ID of the snaphot to close.
      Throws:
        `java.rmi.RemoteException`

    - #### sortSnapshot

          void sortSnapshot(java.lang.String qid,
                          int ascending,
                          int fieldIndex)
                            throws java.rmi.RemoteException

      Sets sort order of results returned by getAdherenceWithStatsInfo and getAdherenceStatistics function
      Parameters:
        `qid` - Snapshot ID
        `ascending` - "true" if sort ascending, otherwise - false
        `fieldIndex` - index of the field to sort. See `createSnapshot(int, int[], int, int[], int, int[], int, int[], int, java.lang.String[], com.genesyslab.wfm7.API.service.RTA712.ItemSiteIDStruct[], com.genesyslab.wfm7.API.service.RTA712.ItemSiteIDStruct[], int, int)` for details.
      Throws:
        `java.rmi.RemoteException`

    - #### getAdherenceStatistics

          AgentsInStateCountStruct[] getAdherenceStatistics(java.lang.String qid)
                                                            throws java.rmi.RemoteException

      Returns the adherence statistics for currently filtered agents.
      Parameters:
        `qid` - Snapshot ID
      Returns:
        The array of agent counts for each adherence category
      Throws:
        `java.rmi.RemoteException`

    - #### getAdherenceWithStatsInfo

          AdherenceWithStatsStruct getAdherenceWithStatsInfo(java.lang.String qid,
                                                           int firstIndex,
                                                           int count)
                                                             throws java.rmi.RemoteException

      Returns the arrays of agents and their states together with as adherence statistics. Results are filtered and sorted as specified In methods createSnapshot and setSortMode.
      Parameters:
        `qid` - Snapshot ID
        `firstIndex` - Agent index in the snapshot from which data should be loaded
        `count` - The number of agents to load. If the first agent + number of agents to load is greater than the total number of agents in the snapshot then the first agent parameter is reduced The actual values used are returned in the result.
      Returns:
        Returns structure containing the number of agents in each adherence category as well as the adherence information for agents.
      Throws:
        `java.rmi.RemoteException`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.